function CheckCollision(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end

points = 0
food = {}

function food:new()
  fn = {
    w = 10,
    h = 10,
    x = math.random(800 - 10),
    y = math.random(600 - 10),

  }
  setmetatable(fn, {__index = food})
end

function food:respawn()
  fn.x = math.random(800 - 10)
  fn.y = math.random(600 - 10)
end

function food:update(dt)
  if CheckCollision(snake.x, snake.y, snake.w, snake.h, fn.x,fn.y, fn.w, fn.h) then
    food:respawn()
    points = points + 1
    snake.w = snake.w + 20
  end
end

function food:draw()
  love.graphics.setColor(255,255,255)
  love.graphics.setFont(pointFont)
  love.graphics.print("Points: "..points)
  love.graphics.setColor(255,255,255)
  love.graphics.rectangle("fill", fn.x, fn.y, fn.w, fn.h)
end
